<?php

namespace App\Policies;

use App\Models\User\User;
use App\Models\WillsCase\WillsCase;

class WillsCasePolicy {
    public function view(User $user): bool {
        return $user->can('wills-cases.view');
    }

    public function create(User $user): bool {
        return $user->can('wills-cases.create');
    }

    public function edit(User $user, WillsCase $case): bool {
        return $user->can('wills-cases.edit');
    }

    public function delete(User $user, WillsCase $case): bool {
        return $user->can('wills-cases.delete');
    }
}
